# Notices consents

By default, the batch export only exports users identified with an organization user ID. Users with a missing organization user ID ("guests") will be excluded from the exported batch of data.

Consents collected via our SDKs for our Consent Notices (CMP) product do not include an organization user ID by default so you need to configure one if you want consents from the CMP to be included in the batch exports.

## **Differences between guest and authenticated users**

By default, CMP users are "guests" and Didomi will log their consents with a randomly generated user ID. Guest users will not be exported in the batch export as the batch export only delivers authenticated users that are linked with an organization user ID that you provide.

#### **What is an organization user ID?**

An organization user ID is any string that identifies the user for your organization. It can be an email address, a random user ID, or a hash of such an identifier. The organization user ID should be tied to the user on your side, usually via an authentication process.

By default, batch export only delivers CMP users that contain an organization user ID (authenticated users).

#### Can Didomi export guest users as well?

For some use cases like compliance reports or analytics, you might need to get access to guest users.\
If you would like batch exports to include guest users without an organization user ID, please reach out to your Didomi customer success manager/account manager.

## Share an organization user ID with Didomi

To pass your own user ID to the Didomi Web SDK, set it into the `user.organizationUserId` property of the `window.didomiConfig` object on the page:

{% tabs %}
{% tab title="JavaScript" %}

```javascript
<script type="text/javascript">
window.didomiConfig = {
  user: {
    organizationUserId: 'organization_user_id'
  }
};
</script>
```

{% endtab %}
{% endtabs %}

This must be set before the Didomi Web SDK is embedded onto the page.

The organization user ID will be passed down to our APIs for storage and you will be able to access the user data from the batch export.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.didomi.io/integrations/generic-integrations/batch-export/exported-data/cmp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
